package hu.unr.fiber.cardapi.hibernate;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

public interface CardRepository extends JpaRepository<Card, Long> {
    @Query("SELECT c.id FROM Card c where c.number = :number")
    Long findIdByNumber(@Param("number") String number);
}
